WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: qt-4.x-base has Xorg-7.5-lib as a dependency after last update  (Read 1288 times)

Offline Arslan S.

  • Hero Member
  • *****
  • Posts: 825
qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« on: October 01, 2011, 02:15:06 AM »
all extension and repo maintainers should care about this kind of changes after switching to tcl 4.x from tcl 3.x

i have updated all my local build files to reflect following changes

Xorg-7.5 --> Xorg-7.6
glibc --> eglibc

i think other maintainers should also do so

Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« Reply #1 on: October 01, 2011, 09:44:02 AM »
if be for that xorg-7.5 has a dependency libraries of 7.6, I do not know if it is wanted

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9707
Re: qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« Reply #2 on: October 01, 2011, 09:59:25 AM »
On this note, there also is a bit of adjusting of dep files by us online in the repo since 4.x has been in testing, with things that have changed since 3.x, so make sure not to send in old dep files that are not longer correct.

Also Xorg-7.5-lib.tcz and Xorg-7.5-dev.tcz is being replaced by Xorg-7.6-lib.tcz and Xorg-7.6-dev.tcz in dep files in the repo.

Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« Reply #3 on: October 01, 2011, 10:21:22 AM »
Ok, but I hope you do not remove xorg7.5 because xorg7.6 crash on my pc  :'(

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9707
Re: qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« Reply #4 on: October 02, 2011, 12:32:27 PM »
Xorg 7.5 will still be there, we just needed to straighten out the deps.

Offline vinnie

  • Hero Member
  • *****
  • Posts: 1104
  • HandMace informatic works
Re: qt-4.x-base has Xorg-7.5-lib as a dependency after last update
« Reply #5 on: October 02, 2011, 01:23:57 PM »
Good work JW :)